﻿using System;
using System.Windows.Forms;

using System.Configuration;
using System.Data.SqlClient;

namespace Delete_Database_Windows_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void OnDelete(object sender, EventArgs e)
        {
            string query = "DELETE FROM Customers WHERE CustomerId = @CustomerId";
            string constr = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
            using (SqlConnection con = new SqlConnection(constr))
            {
                using (SqlCommand cmd = new SqlCommand(query, con))
                {
                    cmd.Parameters.AddWithValue("@CustomerId", txtId.Text);
                    con.Open();
                    int i = cmd.ExecuteNonQuery();
                    con.Close();

                    if (i > 0)
                    {
                        MessageBox.Show("Customer record deleted.");
                    }
                    else
                    {
                        MessageBox.Show("Customer not found.");
                    }
                }
            }
        }

        private void Form1_Load(object sender, EventArgs e)
        {

        }
    }
}
